variable "k8s_config_yaml" {
  description = "Content of k8s config yaml file"
  type        = string
}

variable "replicas" {
  type        = number
  description = "Number of replicas"
  default     = 1
}

variable "wait_on" {
  type        = string
  description = "Variable to wait on"
}

variable "namespace" {
  type = string
}

variable "usernames" {
  type = list(string)
  default = []
}

variable "databases" {
  type = list(string)
  default = []
}
